<script>
	import SVG from "@/components/svg.svelte"
	import Button from "@/components/button.svelte"

	import { t, l } from "@/i18n"

	export let src
</script>

<template lang="pug">
.line
.bg.img.is-flex: img.lazy( data-src='{src}' )
.content.is-flex.is-justify-content-flex-end
	.content-wrapper.is-inline-flex.is-flex-direction-column.is-align-items-flex-end.is-justify-content-center
		.logo.icon: SVG( name="logo" )
		p {$t("default.choice")}
		Button( is="a" href!='{$l("cars")}' ) 
			span.icon( slot="icon-right" ): SVG( folder="icons" name="arrow-right" )
			|{$t("buttons.select_car")}
</template>

<style lang="scss">
.line {
	display: block;
	content: "";
	width: 100%;
	height: 1px;
	background: $black;
	position: absolute;
	top: -3rem;
	left: 0;
}

.bg {
	height: calc(100% + 2rem + 2.5rem);
	width: 100%;
	position: absolute;
	top: -2rem;
	left: 0;
	overflow: hidden;
	img {
		max-width: unset;
		height: 100%;
		margin: 0 auto;
		position: absolute;
		left: -100%;
		right: -100%;
	}
}

.content {
	padding-top: 4.625rem;
	padding-right: 1.625rem;
	padding-bottom: 4.1875rem;
	position: relative;
	z-index: 2;
	@include max_tablet {
		padding-right: 0;
	}
	&-wrapper {
		padding: 1.5rem;
		background: rgba(27, 26, 26, 0.7);
		@include max_tablet {
			margin: 0 auto;
		}
		.logo {
			margin-bottom: 1.5rem;
			:global(svg) {
				height: 5.625rem;
			}
			:global(svg path) {
				fill: $white;
			}
		}
		p {
			font-size: 2rem;
			font-weight: 500;
			text-transform: uppercase;
			color: $white;
			margin-bottom: 3rem;
		}
	}
}
</style>